#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESplitScalingFilter {
    Invalid = 0,
    Linear = 1,
    Nearest = 2,
    Sharp = 3,
    NIS_Deprecated = 4,
}

impl ESplitScalingFilter {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Linear as i32 => Some(Self::Linear),
            x if x == Self::Nearest as i32 => Some(Self::Nearest),
            x if x == Self::Sharp as i32 => Some(Self::Sharp),
            x if x == Self::NIS_Deprecated as i32 => Some(Self::NIS_Deprecated),
            _ => None,
        }
    }
}
